MeasurementInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.MeasurementInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MeasurementInfo

    java.lang.Object
      org.hyperic.hq.product.MeasurementInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MeasurementInfo

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Carry information about measurement templates

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTR_ALIAS`
`static java.lang.String` | `ATTR_CATEGORY`
`static java.lang.String` | `ATTR_COLLECTION_TYPE`
`static java.lang.String` | `ATTR_DEFAULTON`
`static java.lang.String` | `ATTR_GROUP`
`static java.lang.String` | `ATTR_INDICATOR`
`static java.lang.String` | `ATTR_INTERVAL`
`static java.lang.String` | `ATTR_NAME`
`static java.lang.String` | `ATTR_RATE`
`static java.lang.String` | `ATTR_TEMPLATE`
`static java.lang.String` | `ATTR_UNITS`
`static java.lang.String` | `DEFAULT_RATE`
`static java.lang.String` | `HOUR_RATE`
`static java.lang.String` | `MIN_RATE`
`static java.lang.String` | `NO_RATE`
`static java.lang.String` | `RATE_KEY`
`static java.lang.String` | `SEC_RATE`

Constructor Summary
`MeasurementInfo()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getAlias()`
`java.util.Map` | `getAttributes()`
`java.lang.String` | `getCategory()`
`int` | `getCollectionType()`
`java.lang.String` | `getGroup()`
`long` | `getInterval()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRate()`
`java.lang.String` | `getReadableRate()`
`java.lang.String` | `getTemplate()`
`java.lang.String` | `getUnits()`
`boolean` | `isDefaultOn()`
`boolean` | `isIndicator()`
`void` | `setAlias(java.lang.String alias)`
`void` | `setAttributes(java.util.Map attrs)`
`void` | `setCategory(java.lang.String category)`
`void` | `setCollectionType(int i)`
`void` | `setDefaultOn(boolean defaultOn)` Sets the defaultOn.
`void` | `setGroup(java.lang.String group)`
`void` | `setIndicator(boolean indicator)` Sets the designate.
`void` | `setInterval(long interval)` Sets the interval.
`void` | `setName(java.lang.String name)`
`void` | `setRate(java.lang.String rate)` Sets the rate.
`void` | `setTemplate(java.lang.String template)`
`void` | `setUnits(java.lang.String units)` Sets the units.
`java.lang.String` | `toXML()`
`java.lang.String` | `toXML(java.lang.String indent)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_ALIAS

    public static final java.lang.String ATTR_ALIAS

See Also:
  Constant Field Values

### ATTR_TEMPLATE

    public static final java.lang.String ATTR_TEMPLATE

See Also:
  Constant Field Values

### ATTR_CATEGORY

    public static final java.lang.String ATTR_CATEGORY

See Also:
  Constant Field Values

### ATTR_GROUP

    public static final java.lang.String ATTR_GROUP

See Also:
  Constant Field Values

### ATTR_UNITS

    public static final java.lang.String ATTR_UNITS

See Also:
  Constant Field Values

### ATTR_RATE

    public static final java.lang.String ATTR_RATE

See Also:
  Constant Field Values

### ATTR_COLLECTION_TYPE

    public static final java.lang.String ATTR_COLLECTION_TYPE

See Also:
  Constant Field Values

### ATTR_DEFAULTON

    public static final java.lang.String ATTR_DEFAULTON

See Also:
  Constant Field Values

### ATTR_INDICATOR

    public static final java.lang.String ATTR_INDICATOR

See Also:
  Constant Field Values

### ATTR_INTERVAL

    public static final java.lang.String ATTR_INTERVAL

See Also:
  Constant Field Values

### SEC_RATE

    public static final java.lang.String SEC_RATE

See Also:
  Constant Field Values

### MIN_RATE

    public static final java.lang.String MIN_RATE

See Also:
  Constant Field Values

### HOUR_RATE

    public static final java.lang.String HOUR_RATE

See Also:
  Constant Field Values

### NO_RATE

    public static final java.lang.String NO_RATE

See Also:
  Constant Field Values

### DEFAULT_RATE

    public static final java.lang.String DEFAULT_RATE

See Also:
  Constant Field Values

### RATE_KEY

    public static final java.lang.String RATE_KEY

See Also:
  Constant Field Values

Constructor Detail

### MeasurementInfo

    public MeasurementInfo()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### setAttributes

    public void setAttributes(java.util.Map attrs)

### toXML

    public java.lang.String toXML()

### toXML

    public java.lang.String toXML(java.lang.String indent)

### getAttributes

    public java.util.Map getAttributes()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAlias

    public java.lang.String getAlias()

### setAlias

    public void setAlias(java.lang.String alias)

### getTemplate

    public java.lang.String getTemplate()

### setTemplate

    public void setTemplate(java.lang.String template)

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String category)

### getGroup

    public java.lang.String getGroup()

### setGroup

    public void setGroup(java.lang.String group)

### isDefaultOn

    public boolean isDefaultOn()

  Returns:
    boolean

### setDefaultOn

    public void setDefaultOn(boolean defaultOn)

  Sets the defaultOn.

  Parameters:
    `defaultOn` - The defaultOn to set

### getUnits

    public java.lang.String getUnits()

  Returns:
    String

### setUnits

    public void setUnits(java.lang.String units)

  Sets the units.

  Parameters:
    `units` - The units to set

### getInterval

    public long getInterval()

  Returns:
    long

### setInterval

    public void setInterval(long interval)

  Sets the interval.

  Parameters:
    `interval` - The interval to set

### isIndicator

    public boolean isIndicator()

  Returns:
    boolean

### setIndicator

    public void setIndicator(boolean indicator)

  Sets the designate.

  Parameters:
    `indicator` - The designate to set

### getCollectionType

    public int getCollectionType()

  Returns:
    the collection type

### setCollectionType

    public void setCollectionType(int i)

  Parameters:
    `i` - the new collection type

### getRate

    public java.lang.String getRate()

  Returns:
    String

### setRate

    public void setRate(java.lang.String rate)

  Sets the rate.

  Parameters:
    `rate` - The rate to set

### getReadableRate

    public java.lang.String getReadableRate()

  Returns:
    Human readable form of the rate

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.